App\Library\Amazon\Classes\Battery:
    xml_root_name: Battery
    properties:
        areBatteriesIncluded:
            expose: true
            access_type: public_method
            serialized_name: AreBatteriesIncluded
            accessor:
                getter: getAreBatteriesIncluded
                setter: setAreBatteriesIncluded
            type: boolean
        areBatteriesRequired:
            expose: true
            access_type: public_method
            serialized_name: AreBatteriesRequired
            accessor:
                getter: getAreBatteriesRequired
                setter: setAreBatteriesRequired
            type: boolean
        batterySubgroup:
            expose: true
            access_type: public_method
            serialized_name: BatterySubgroup
            accessor:
                getter: getBatterySubgroup
                setter: setBatterySubgroup
            xml_list:
                inline: true
                entry_name: BatterySubgroup
            type: array<App\Library\Amazon\Classes\Battery\BatterySubgroupAType>
